//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("HoaDon_BanHang")]
    public partial class HoaDon_BanHang
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public HoaDon_BanHang()
        {
            this.ChiTietHoaDon_BanHang = new HashSet<ChiTietHoaDon_BanHang>();
        }
        [Key]

        public string MaHoaDon { get; set; }
        public string MaKhachHang { get; set; }
        public string TKNganHang { get; set; }
        public string NguoiMuaHang { get; set; }
        public string HinhThucTT { get; set; }
        public string MauSoHD { get; set; }
        public string KyHieuHD { get; set; }
        public Nullable<System.DateTime> NgayHoaDon { get; set; }
        public Nullable<int> MaDieuKhoan { get; set; }
        public Nullable<double> SoNgayDuocNo { get; set; }
        public Nullable<System.DateTime> HanThanhToan { get; set; }
        public Nullable<double> TyGia { get; set; }
        public Nullable<double> TongTienHang { get; set; }
        public Nullable<double> TienThueGTGT { get; set; }
        public Nullable<double> TienChietKhau { get; set; }
        public Nullable<double> TongTienThanhToan { get; set; }
        public Nullable<int> MaLoaiTien { get; set; }
        public string MaChungTuBanHang { get; set; }
        public string MaSoNhanVien { get; set; }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ChiTietHoaDon_BanHang> ChiTietHoaDon_BanHang { get; set; }
       
        public virtual KhachHang KhachHang { get; set; }
     


    }
}
